#!/bin/bash

set -xe

prefix="$HOME/.local"

cargo build --release
cp target/release/tumelune $prefix/bin/tumelune
cp static/favicon.png $prefix/share/icons/tumelune.png

cat > target/tumelune.desktop <<END
[Desktop Entry]
Type=Application
Version=1.0
Name=tumelune
Comment=twitter and activitypub post browser and search engine
Exec=$prefix/bin/tumelune
Icon=$prefix/share/icons/tumelune.png
Terminal=true
END

desktop-file-install --dir=$prefix/share/applications target/tumelune.desktop
update-desktop-database ~/.local/share/applications
