#!/usr/bin/python
from pathlib import Path
import os
import markdown

root = Path(__file__).parent
tpl_path = root / "index.html"
changelog_path = root.parent / "CHANGELOG.md"

template = open(tpl_path).read()

changelog_html = markdown.markdown(open(changelog_path).read())

output = template
output = output.replace("{VERSION}", os.environ["TL_VERSION"])
output = output.replace("{CHANGELOG}", changelog_html)

print(output)
