# Changelog

**Warning: before 1.0, database may be lost after an update.**


## v0.16 - 2024-05-04
- (!) this release breaks db compatibility; it will ask you to erase it on start
- import: fix media in new twitter archives
- import: support new mastodon zip archives
- add an `install` subcommand to copy the binary and place a .desktop file (linux only)
- store database in standard data dir (`~/.local/share/` or `AppData\Local`) instead of config

## v0.15 - 2023-04-15
- (!) this release breaks db compatibility; it will ask you to erase it on start
- fix twitter archive support (new path variations)
- opens a browser by default (and with `tumelune serve --open`)
- a new text font and more balanced text sizes
- settings, and a lighter theme

## v0.14 - 2021-12-27
- add mastodon polls
- add `flags` field
- support queries starting with a negation
- fix pagination over 10k posts

## v0.13 - 2021-06-11
- add post visibility icons
- open attachments in a popup
- keep attachments as individual files (reduce ram usage)
- delete uploaded files after import

## v0.12 - 2021-03-24
- ui improvements (about dialog, timeline hover, search help)
- boosts and retweets

## v0.11 - 2021-03-19
- media attachments
- json highlighting

## v0.10 - 2020-12-22
- urldecode imported file:// urls 
- store database in ~/.config/tumelune/ instead of the current directory
- add file upload form
